package com.tocea.easycoverage.annotations.synchronize;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 
 * This annotation specifies that a method in a {@link Synchronized} has been
 * synchronized using a synchronize block rather than declaring the method
 * synchronized.
 * 
 * @author Romain Delamare
 * 
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.METHOD })
public @interface SynchronizedBlock {

}
